Bug 1303110 - [extras-rhel-7.2.4] Docker does not own /usr/lib/docker-storage-setup
[extras-rhel-7.2.4] Docker does not own /usr/lib/docker-storage-setup
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: docker (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Lokesh Mandvekar
atomic-bugs@redhat.com
: Extras
Depends On:
Blocks: docker-1.10
  Show dependency treegraph
 
Reported: 2016-01-29 10:11 EST by Lokesh Mandvekar
Modified: 2016-05-12 11:17 EDT (History)
16 users (show)

See Also:
Fixed In Version: docker-1.10.3-5.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1303105
: 1328220 (view as bug list)
Environment:
Last Closed: 2016-05-12 11:17:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lokesh Mandvekar 2016-01-29 10:11:58 EST
+++ This bug was initially created as a clone of Bug #1303105 +++

docker-1.9.1-6.git6ec29ef.fc23.x86_64

# rpm -qf /usr/lib/docker-storage-setup/
file /usr/lib/docker-storage-setup is not owned by any package

# rpm -qf /usr/lib/docker-storage-setup/docker-storage-setup 
docker-1.9.1-6.git6ec29ef.fc23.x86_64

I believe the directory should be listed in the files so it will be cleaned up on rpm removal. No?

--- Additional comment from Lokesh Mandvekar on 2016-01-29 09:09:55 CST ---

yup, i see the files in the dir were listed but the dir itself wasn't. I'll add that, thanks!
Comment 2 Alex Jia 2016-01-31 22:11:18 EST
[cloud-user@atomic-00 ~]$ rpm -qf /usr/lib/docker-storage-setup/
file /usr/lib/docker-storage-setup is not owned by any package
[cloud-user@atomic-00 ~]$ rpm -qf /usr/lib/docker-storage-setup/docker-storage-setup 
docker-1.9.1-14.el7.x86_64
Comment 3 Daniel Walsh 2016-02-22 16:24:43 EST
Lokesh can you fix this for docker-1.10 release.
Comment 5 Luwen Su 2016-04-30 23:53:38 EDT
for i in /usr/lib/docker-storage-setup/ /usr/lib/docker-storage-setup/docker-storage-setup /usr/bin/docker-storage-setup /etc/sysconfig/docker-storage-setup /etc/sysconfig/docker-storage
do
   echo "Path $i:"  
   rpm -qf $i
done

#
Path /usr/lib/docker-storage-setup/:
docker-1.9.1-38.el7.x86_64
Path /usr/lib/docker-storage-setup/docker-storage-setup:
docker-1.9.1-38.el7.x86_64
Path /usr/bin/docker-storage-setup:
docker-1.9.1-38.el7.x86_64
Path /etc/sysconfig/docker-storage-setup:
docker-1.9.1-38.el7.x86_64
Path /etc/sysconfig/docker-storage:
docker-1.9.1-38.el7.x86_64

Move to verified
Comment 7 errata-xmlrpc 2016-05-12 11:17:06 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1034.html

Note You need to log in before you can comment on or make changes to this bug.